> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Organizations

> List all the organizations for a given Environment.



## OpenAPI

````yaml get /provisioning/organizations
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /provisioning/organizations:
    get:
      tags:
        - provisioning
      summary: List Organizations
      description: List all the organizations for a given Environment.
      operationId: list_organizations
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Equality Filter Organization name
            title: Name
          description: Equality Filter Organization name
        - name: identifier
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Equality Filter Organization identifier
            title: Identifier
          description: Equality Filter Organization identifier
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Equality Filter Organization ID
            title: Id
          description: Equality Filter Organization ID
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Search Filter Organization name or identifier or id case
              insensitive partial match
            title: Search
          description: >-
            Search Filter Organization name or identifier or id case insensitive
            partial match
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OffsetPaginatedResponse_OrganizationWithConnectionCountRespModel_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API-Key: []
components:
  schemas:
    OffsetPaginatedResponse_OrganizationWithConnectionCountRespModel_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/OrganizationWithConnectionCountRespModel'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[OrganizationWithConnectionCountRespModel]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrganizationWithConnectionCountRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        identifier:
          type: string
          title: Identifier
        connection_count:
          type: integer
          title: Connection Count
      type: object
      required:
        - id
        - name
        - identifier
        - connection_count
      title: Organization
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````